Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.declaration
Interface ConstructorDeclaration

All Superinterfaces:
  Declaration, ExecutableDeclaration, MemberDeclaration

    public interface ConstructorDeclaration

extends ExecutableDeclaration

Represents a constructor of a class or interface.

Since:
  1.5

Method Summary

Methods inherited from interface com.sun.mirror.declaration.ExecutableDeclaration
`getFormalTypeParameters, getParameters, getThrownTypes, isVarArgs`

Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration
`getDeclaringType`

Methods inherited from interface com.sun.mirror.declaration.Declaration
`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.